Subject: Re: [PATCH] RelNotes: Spelling & grammar fixes.

From: Junio C Hamano <[email-masked]>
Date: Mon, 18 Nov 2013 10:42:48 -0800

Marc Branchaud <[email-masked]> writes:

> Mostly just tweaks, although I did change the "foo^{tag}" description a lot.

Thanks.  It is surprising that one can make so many typoes in a
single document ;-)

> @@ -55,7 +55,7 @@ Foreign interfaces, subsystems and ports.
>  
>   * "git-svn" used with SVN 1.8.0 when talking over https:// connection
>     dumped core due to a bug in the serf library that SVN uses.  Work
> -   it around on our side, even though the SVN side is being fixed.
> +   around it on our side, even though the SVN side is being fixed.

Hmph, is this a grammo?

> @@ -126,56 +126,58 @@ UI, Workflows & Features
>     "git status --porcelain" instead, as its format is stable and easier
>     to parse.
>  
> - * Make "foo^{tag}" to peel a tag to itself, i.e. no-op., and fail if
> -   "foo" is not a tag.  "git rev-parse --verify v1.0^{tag}" would be
> -   a more convenient way to say "test $(git cat-file -t v1.0) = tag".
> + * The ref syntax "foo^{tag}" (with the literal string "{tag}") peels a
> +   tag ref to itself, i.e. it's a no-op., and fails if
> +   "foo" is not a tag.  "git rev-parse --verify v1.0^{tag}" is
> +   a more convenient way than "test $(git cat-file -t v1.0) = tag" to
> +   check if v1.0 is a tag.

Much easier to read.  Thanks.

>   * "git branch -v -v" (and "git status") did not distinguish among a
> -   branch that does not build on any other branch, a branch that is in
> -   sync with the branch it builds on, and a branch that is configured
> -   to build on some other branch that no longer exists.
> +   branch that is not tracking any other branch, a branch that is in
> +   sync with the branch it is tracking, and a branch that is tracking
> +   some other branch that no longer exists.

People use the verb "track" to mean too many different things, and
the original deliberately tried to avoid use of that word.

Specifically, we try to limit the use of "track" to mean "to keep a
copy of what we observed from the remote" as in "remote-tracking
branch remotes/origin/master is used to track the 'master' branch at
your 'origin'", which is very different from "your 'master' branch
builds on your upstream's 'master'".

So I dunno about this part of the change.